Bug 1414983 - Respin XulRunner to make it compatible with NSS 3.28.1
Summary: Respin XulRunner to make it compatible with NSS 3.28.1
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xulrunner
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1381400
TreeView+ depends on / blocked
 
Reported: 2017-01-19 21:32 UTC by Kai Engert (:kaie) (inactive account)
Modified: 2018-05-29 12:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:13:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Kai Engert (:kaie) (inactive account) 2017-01-19 21:32:41 UTC
Fedora will update to NSS 3.28.1 which is required for the upcoming Firefox 51.

NSS 3.28.1 contains enhancements that are incompatible with a check that's contained in Mozilla 50 and older.

Could you please rebuild XulRunner on all supported Fedora branches to pick up the required fix, to ensure XulRunner won't be broken when we update NSS 3.28.1 in the next few days?

Comment 1 Kai Engert (:kaie) (inactive account) 2017-01-19 21:34:34 UTC
https://hg.mozilla.org/releases/mozilla-esr45/rev/bf0dd9ae6807

Comment 2 Kai Engert (:kaie) (inactive account) 2017-01-20 19:29:31 UTC
please DON'T push to bodhi

We'd like to create a combined update for all related packages, because the NSS packages will use a Conflicts: statement with the earlier version of your package.

Comment 3 Fedora Update System 2017-01-21 11:51:03 UTC
firefox-50.1.0-3.fc25 icecat-45.5.1-6.fc25 nss-3.28.1-1.3.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 seamonkey-2.46-3.fc25 thunderbird-45.6.0-5.fc25 xulrunner-44.0-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 4 Fedora Update System 2017-01-21 11:51:31 UTC
firefox-50.1.0-3.fc25 icecat-45.5.1-6.fc25 nss-3.28.1-1.3.fc25 nss-softokn-3.28.1-1.0.fc25 nss-util-3.28.1-1.0.fc25 seamonkey-2.46-3.fc25 thunderbird-45.6.0-5.fc25 xulrunner-44.0-9.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 5 Fedora Update System 2017-01-21 11:52:29 UTC
firefox-50.1.0-3.fc24 icecat-45.5.1-6.fc24 nss-3.28.1-1.3.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 seamonkey-2.46-3.fc24 thunderbird-45.6.0-5.fc24 xulrunner-44.0-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 6 Fedora Update System 2017-01-21 11:52:48 UTC
firefox-50.1.0-3.fc24 icecat-45.5.1-6.fc24 nss-3.28.1-1.3.fc24 nss-softokn-3.28.1-1.0.fc24 nss-util-3.28.1-1.0.fc24 seamonkey-2.46-3.fc24 thunderbird-45.6.0-5.fc24 xulrunner-44.0-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 7 Fedora Update System 2017-01-21 21:52:16 UTC
firefox-50.1.0-3.fc24, icecat-45.5.1-6.fc24, nss-3.28.1-1.3.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24, seamonkey-2.46-3.fc24, thunderbird-45.6.0-5.fc24, xulrunner-44.0-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bbb320ba18

Comment 8 Fedora Update System 2017-01-21 22:24:54 UTC
firefox-50.1.0-3.fc25, icecat-45.5.1-6.fc25, nss-3.28.1-1.3.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25, seamonkey-2.46-3.fc25, thunderbird-45.6.0-5.fc25, xulrunner-44.0-9.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e42b513012

Comment 9 Fedora Update System 2017-01-24 03:19:40 UTC
firefox-50.1.0-3.fc25, icecat-45.5.1-6.fc25, nss-3.28.1-1.3.fc25, nss-softokn-3.28.1-1.0.fc25, nss-util-3.28.1-1.0.fc25, seamonkey-2.46-3.fc25, thunderbird-45.6.0-5.fc25, xulrunner-44.0-9.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-01-24 03:48:20 UTC
firefox-50.1.0-3.fc24, icecat-45.5.1-6.fc24, nss-3.28.1-1.3.fc24, nss-softokn-3.28.1-1.0.fc24, nss-util-3.28.1-1.0.fc24, seamonkey-2.46-3.fc24, thunderbird-45.6.0-5.fc24, xulrunner-44.0-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora End Of Life 2017-02-28 11:01:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 12 Fedora End Of Life 2018-05-03 08:30:21 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2018-05-29 12:13:10 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.